# Finger

```csharp
public class Finger
```

### Constructors

| Name                                                                                                                   | Description                                                                          |
| ---------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| Finger()                                                                                                               | Creates a new Finger object.                                                         |
| Finger(Dictionary<[FingerJointType](/api-reference/fingerjointtype.md), [FingerJoint](/api-reference/fingerjoint.md)>) | Creates a new Finger object with the specified finger joint types and finger joints. |

### Example

The example shows how to manage a finger with the `Finger` class.

#### Create a finger with the specified finger joints

```csharp
// Create an index Tip joint with the specified 2D position and 
// 3D position.
FingerJoint indexTip = new FingerJoint
(
    FingerJointType.IndexTip,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

// Create an index DIP joint with the specified 2D position and 
// 3D position.
FingerJoint indexDIP = new FingerJoint
(
    FingerJointType.IndexDIP,
    new Vector2(3, 3),
    new Vector3(0.3f, 0.3f, 0.3f),
    new Quaternion()
);

 // Create an index finger with the specified index joints.
 Finger index = new Finger
 (
     new Dictionary<FingerJointType, FingerJoint> 
     {
         { FingerJointType.IndexTip, indexTip },
         { FingerJointType.IndexDIP,indexDIP }
     }
 );
```

#### Create an empty finger

```csharp
Finger emptyFinger = new Finger();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://handtracking.lightbuzz.com/api-reference/finger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
